regression: unchecking one sub-layer of a categorized symbology leads to no features being drawn

2016-01-15 08:27 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22120

Description

If one sub-layer node of a categorized symbology is unchecked, the whole layer fails to draw features of the other checked sub-layer

categories. Not sure when this regression slipped into master, obviously needs addressing ;)

Steps to reproduce

    1. Create a new project, add an existing vector layer with enough features and at least one field to create a categorized symbology

    2. Open the layer property, switch symbology to categorized, enter a field and classify

    3. Click on ok to leave the layer property window and return to the main canvas

    4. Uncheck one sub-layer category in the layer panel

    5. No features will be drawn, even though other sub categories have matching features

Related issues:

Related to QGIS Application - Bug report # 13972: Categorize symbols uses wro... Closed 2015-12-10

Associated revisions

Revision 8435fee4 - 2016-01-19 01:38 AM - Nyall Dawson

Correctly quote field name in categorized filters (fix #14118)

History

#1 - 2016-01-16 03:40 AM - Sebastian Dietrich

- File QgisCategorizedPartlyShown.png added

- Status changed from Open to Feedback

I can not reproduce using master (commit:1cd4570136344caafebbe911bbe797ddbc87a56a).

Can you post the exact steps to reproduce and attach the files necessary?

QgisCategorizedPartlyShown.png

#2 - 2016-01-16 01:41 PM - Nyall Dawson

Also try with

1. Expression compilation switched off

2. A different format dataset
#3 - 2016-01-16 09:08 PM - Mathieu Pellerin - nIRV

- Resolution set to not reproducable

- Status changed from Feedback to Closed

I can't reproduce this regression anymore (while I could yesterday). Closing to remove blocker noise, will re-open if I stumble on it and can attach a test

case.

#4 - 2016-01-17 05:44 PM - Mathieu Pellerin - nIRV

- Resolution deleted (not reproducable)

- File classified_error.zip added

- Status changed from Closed to Reopened

Ah, found out what triggered the bug, that is a joined field. Attaching a testcase project.

Steps to reproduce

    1. Load the attached classified_error project file

    2. Uncheck one of the sub-layer of the cphum09 layer

    3. Notice all features are gone, even though other sub-layers are checked and should render

#5 - 2016-01-18 04:39 PM - Nyall Dawson

- Status changed from Reopened to Closed

Fixed in changeset commit:"8435fee4a434a4c30b96aa62d09dd345bb2577d4".

Files

QgisCategorizedPartlyShown.png 50.5 KB 2016-01-16 Sebastian Dietrich

classified_error.zip 729 KB 2016-01-17 Mathieu Pellerin - nIRV
